Groovy基本使用(1):安装配置

版权声明:转载随意,附上转载信息即可 :) https://blog.csdn.net/Al_assad/article/details/78044455

Groovy 安装配置


Groovy 的安装步骤


1)配置JDK,Groovy 的运行依赖于JDK,要先配置好 JDK 环境;

2)下载Groovy,下载地址:http://www.groovy-lang.org/download.html
    可以根据需要下载二进制版本或win-install版本,以下演示的是下载二进制版本;
    下载后在任意位置解压该压缩包(演示为“groovy-2.4.12.zip”);

3)解压后得到一个类似“groovy-2.4.12”的文件夹,在环境变量中添加以下键值对:
GROOVY_HOME = groovy根文件所在目录
Path 路径添加 %GROOVY_HOME%\bin

4)打开控制台,运行“groovy -version" 验证安装配置是否成功;

5)可以通过在命令行输入“groovyconsole”打开groovy自带的编辑器,编写代码;



IDEA 新建 Groovy 工程

当系统中已经下载了 Groovy 二进制包后,可以直接在 IDEA 中使用 Groovy 新建工程,具体步骤如下:
【File -> New -> Project ->Groovy】 在 Groovy library 项选择 Groovy 二进制包所在的目录即可;

 

在添加 Groovy 二进制包时候,IDEA 可能会弹出 :“Looks like Groovy distribution in specified path is broken. Cannot determine version.” 的错误提示,这是由于Groovy和IDEA的版本不兼容导致的,解决的方式有2个:
  • 减低 Groovy 版本(IDEA 16.2 将 groovy 减低到 2.4.5);
  • 更新 IDEA 版本(最新 IDEA 17.2 可以支持 groovy 2.4.12);



使用 Maven 或 Gradle 导入

Gradle
apply plugin:'groovy'

compile 'org.codehaus.groovy:groovy:2.4.12'
Maven
<groupId>org.codehaus.groovy</groupId> 
<artifactId>groovy</artifactId>  
<version>2.4.12</version>



 
展开阅读全文

没有更多推荐了,返回首页